%global namedreltag -b002
%global namedversion %{version}%{?namedreltag}
Name:          glassfish-management-api
Version:       3.2.1
Release:       3
Summary:       GlassFish Common APIs
License:       CDDL-1.0 OR GPL-2.0-with-classpath-exception
URL:           http://java.net/projects/gmbal/pages/Home
Source0:       https://repo1.maven.org/maven2/org/glassfish/external/management-api/3.2.1-b002/management-api-3.2.1-b002-sources.jar
Source1:       https://repo1.maven.org/maven2/org/glassfish/external/management-api/3.2.1-b002/management-api-3.2.1-b002.pom
Source2:       glassfish-LICENSE.txt
BuildRequires: jvnet-parent
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin
BuildArch:     noarch
%description
The GlassFish MBean Annotation Library (gmbal, pronounced "Gumball")
is a library for using annotations to create Open MBeans. There is similar
functionality in JSR 255 for JDK 7, but gmbal only requires JDK 5. Gmbal
also supports JSR 77 ObjectNames and the GlassFish Version 3 AMX
requirements for MBeans. AS a consequence, gmbal-enabled classes
will be fully manageable in GlassFish v3 using the standard GlassFish
v3 admin tools, while still being manageable with generic MBean tools
when not run under GlassFish v3.
This package contains the gmbal Common APIs.

%package javadoc
Summary:       Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -T -q -c
mkdir -p src/main/java
(
  cd src/main/java
  unzip -qq %{SOURCE0}
  rm -rf META-INF
)
cp -p %{SOURCE1} pom.xml
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"
cp -p %{SOURCE2} LICENSE.txt
sed -i 's/\r//' LICENSE.txt
%mvn_file :management-api %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Nov 23 2022 wangkai <wangkai385@h-partners.com> - 3.2.1-3
- Modify the invalid maven address

* Thu May 12 2022 Ge Wang <wangge20@h-partners.com> - 3.2.1-2
- license compliance rectification

* Tue Jul 28 2020 Anan Fu <fuanan3@huawei.com> - 3.2.1-1
- package init
